sisinstall(1)

NAME
sisinstall - simple command line program for installing packaged programs or libraries on the Psion.

SYNOPSIS
sisinstall [-h] [-V] [-n] [-v level] [long-options] FILE

DESCRIPTION

sisinstall installs a packaged program or library from a sis file to a Psion machine. It requires the ncpd to be running already to provide access to the Psion machine over the serial port.

OPTIONS

-V, --version
    Display the version and exit

-h, --help
    Display a short help text and exit.

-n, --dryryn
    Just parse the sis file, don't touch the Psion machine.

-v, --verbose=level
    Specify the log level.

    Level 0 is the default, and is pretty quiet.

    Level 1 provides detailed information on the data that is read.

    Level 2 is rather verbose, and is mostly meant for debugging.

BUGS
Ignores dependency records in the sis file.

SEE ALSO
ncpd(8), plpfuse(8), plpprintd(8), plpftp(1)

AUTHOR
Written by Daniel Brahneborg (basic@chello.se).
Psion communication based on plpftp by Fritz Elfert (felfert@to.com).